Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 2801943002: gpu: Some code cleanups. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 weeks, 5 days ago by sadrul
Modified:
2 weeks, 3 days ago
CC:
chromium-reviews, rjkroege, jam, darin-cc_chromium.org, piman+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

gpu: Some code cleanups. . Remove unused BrowserGpuChannelHostFactory::AddFilterOnIO(). . Use a weak-ptr to bind callbacks to GpuProcessHost, instead of looking up the GpuProcessHost from the host-id (using GpuProcessHost::FromID()). . Remove some null checks for |gpu_channel_manager_| in GpuService, because it is created during initialization, and destroyed only in the dtor. None of the other callbacks should trigger before initialization. So the null checks should not be necessary. BUG=none Review-Url: https://codereview.chromium.org/2801943002 Cr-Commit-Position: refs/heads/master@{#463049} Committed: https://chromium.googlesource.com/chromium/src/+/6a900aa3c26f4a4f29477926c8389e29ed8a7eff

Patch Set 1 #

Total comments: 9

Patch Set 2 : . #

Patch Set 3 : . #

Patch Set 4 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+16 lines, -62 lines) Patch
M content/browser/gpu/browser_gpu_channel_host_factory.h View 1 2 1 chunk +0 lines, -2 lines 0 comments Download
M content/browser/gpu/browser_gpu_channel_host_factory.cc View 1 chunk +0 lines, -11 lines 0 comments Download
M content/browser/gpu/gpu_process_host.h View 1 1 chunk +0 lines, -3 lines 0 comments Download
M content/browser/gpu/gpu_process_host.cc View 1 2 3 7 chunks +9 lines, -26 lines 0 comments Download
M content/gpu/gpu_child_thread.cc View 1 2 3 2 chunks +4 lines, -1 line 0 comments Download
M services/ui/gpu/gpu_service.cc View 1 2 3 7 chunks +3 lines, -19 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 30 (21 generated)
sadrul
2 weeks, 4 days ago (2017-04-06 05:56:13 UTC) #6
piman - OOO back 4-27
https://codereview.chromium.org/2801943002/diff/1/content/browser/gpu/browser_gpu_channel_host_factory.cc File content/browser/gpu/browser_gpu_channel_host_factory.cc (left): https://codereview.chromium.org/2801943002/diff/1/content/browser/gpu/browser_gpu_channel_host_factory.cc#oldcode375 content/browser/gpu/browser_gpu_channel_host_factory.cc:375: host->AddFilter(filter.get()); nit: can we remove GpuProcessHost::AddFilter now? I don't ...
2 weeks, 4 days ago (2017-04-06 20:51:14 UTC) #7
sadrul
https://codereview.chromium.org/2801943002/diff/1/content/browser/gpu/browser_gpu_channel_host_factory.cc File content/browser/gpu/browser_gpu_channel_host_factory.cc (left): https://codereview.chromium.org/2801943002/diff/1/content/browser/gpu/browser_gpu_channel_host_factory.cc#oldcode375 content/browser/gpu/browser_gpu_channel_host_factory.cc:375: host->AddFilter(filter.get()); On 2017/04/06 20:51:14, piman wrote: > nit: can ...
2 weeks, 4 days ago (2017-04-07 02:16:12 UTC) #10
piman - OOO back 4-27
https://codereview.chromium.org/2801943002/diff/1/content/browser/gpu/gpu_process_host.cc File content/browser/gpu/gpu_process_host.cc (right): https://codereview.chromium.org/2801943002/diff/1/content/browser/gpu/gpu_process_host.cc#newcode623 content/browser/gpu/gpu_process_host.cc:623: base::Bind(base::IgnoreResult(&GpuProcessHost::Send), On 2017/04/07 02:16:12, sadrul wrote: > On 2017/04/06 ...
2 weeks, 3 days ago (2017-04-07 18:16:41 UTC) #17
piman - OOO back 4-27
lgtm
2 weeks, 3 days ago (2017-04-07 18:16:51 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2801943002/40001
2 weeks, 3 days ago (2017-04-07 22:07:17 UTC) #20
sadrul
https://codereview.chromium.org/2801943002/diff/1/services/ui/gpu/gpu_service.cc File services/ui/gpu/gpu_service.cc (left): https://codereview.chromium.org/2801943002/diff/1/services/ui/gpu/gpu_service.cc#oldcode235 services/ui/gpu/gpu_service.cc:235: if (gpu_channel_manager_) On 2017/04/07 18:16:41, piman wrote: > On ...
2 weeks, 3 days ago (2017-04-07 22:57:03 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2801943002/60001
2 weeks, 3 days ago (2017-04-07 23:01:27 UTC) #27
commit-bot: I haz the power
2 weeks, 3 days ago (2017-04-07 23:31:35 UTC) #30
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/6a900aa3c26f4a4f29477926c838...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46